
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>JQuery Dialog的内存泄露问题解决方法_jquery / iVAN</title>

    <meta name="description" content="JQuery Dialog的内存泄露问题解决方法_jquery 对于页面来说,JQuery中的Dialog从效果上来说还可以,而且使用简单,只要短短几行绑定的代码就可以实现弹出效果. 代码 复制代码 代码如下: $('#dialog').dialog({ autoOpen: false, width: 600, buttons: { &quot;Ok&quot;: function() { $(this).dialog(&quot;close&quot;); }, &quot;Cancel&quot;: function() { $(this).dialog ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">JQuery Dialog的内存泄露问题解决方法_jquery</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>对于页面来说，JQuery中的Dialog从效果上来说还可以，而且使用简单，只要短短几行绑定的代码就可以实现弹出效果。 <br />代码</p>
<p><u>复制代码</u> 代码如下:</p>
<p>$('#dialog').dialog({ <br />autoOpen: false, <br />width: 600, <br />buttons: { <br />"Ok": function() { <br />$(this).dialog("close"); <br />}, <br />"Cancel": function() { <br />$(this).dialog("close"); <br />} <br />} <br />});</p>
<p>在一些JS交互性不多的一般页面来说，没有任何问题！但是对于交互性强的，需要动态加载与释放DOM的页面来说，它就是一个悲剧的东西！为什么这样说？大家看下下面的例子： <br />　　一段简单的代码，一个DIV是通过动态加载到页面上，然后对该DIV用Dialog进行绑定，以达到弹出的目的！下面的test元素就是&lt;div id="test"&gt;&lt;/div&gt;。 <br />代码</p>
<p><u>复制代码</u> 代码如下:</p>
<p>function TestAppend() { <br />$("#test").append('&lt;div id="dialog"&gt;&lt;div id="fileQueue"&gt;&lt;/div&gt; &lt;input type="file" name="uploadify" id="uploadify" /&gt;' + <br />'&lt;a href="javascript:upload();"&gt;上传&lt;/a&gt;' + <br />'&lt;a href="javascript:$(#uploadify).uploadifyClearQueue()"&gt;取消上传&lt;/a&gt;&lt;div&gt;'); <br />$('#dialog').dialog({ <br />autoOpen: false, <br />width: 600, <br />buttons: { <br />"Ok": function() { <br />$(this).dialog("close"); <br />}, <br />"Cancel": function() { <br />$(this).dialog("close"); <br />} <br />} <br />}); <br />return false; <br />}</p>
<p>　　接着，我需要删除该DOM元素，一般来说，正常的做法都是$("#test").empty();这行简单的代码就完成了！这样有效吗？！当执行完这样代码后，你再用$('#dialog')来获取dialog元素，郁闷的事情发生了，既然获取到了！为什么！不是已经empty了吗！ <br />　　下面我们来看下这一悲剧是如何造成的， <br />　　我们把注意点放到$('#dialog').dialog上面，然后看看JQuery的实现代码是如何写的，当我们跟踪代码到dialog类中的_create方法的时候，问题的原因找到了，看下面这段代码：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>uiDialog = (self.uiDialog = $('&lt;div&gt;&lt;/div&gt;')) <br />.appendTo(document.body) <br />.hide() <br />.addClass(uiDialogClasses + options.dialogClass) <br />.css({ <br />zIndex: options.zIndex <br />}) <br />// setting tabIndex makes the div focusable <br />// setting outline to 0 prevents a border on focus in Mozilla <br />.attr('tabIndex', -1).css('outline', 0).keydown(function(event) { <br />if (options.closeOnEscape &amp;&amp; event.keyCode &amp;&amp; <br />event.keyCode === $.ui.keyCode.ESCAPE) { <br />self.close(event); <br />event.preventDefault(); <br />} <br />}) <br />.attr({ <br />role: 'dialog', <br />'aria-labelledby': titleId <br />}) <br />.mousedown(function(event) { <br />self.moveToTop(false, event); <br />}),</p>
<p>　　它既然也动态创建一个div，而且把该div加到了Body上面，然后把dialog中的元素从&lt;div id=test&gt;中移除，加入到该新的div中..... <br />　　这就是为什么我们$("#test").empty()后，却对内部的dialog没有起作用了！而且这有一个最不好的一个地方，也是最容易出现内存泄露的地方：它动态的在Body中创建了一个div，这样如果窗体不关闭的话，而你又在不察觉的情况下不断的使用上面的TestAppend方法来动态加载DOM，就会创建N个这样的div！ <br />　　其实这个问题郁闷的地方不是在如何解决，而且隐藏的很深，很难发现！那么发现之后解决起来就变的简单多了：</p>
<p><u>复制代码</u> 代码如下:</p>
<p>if ($('#dialog')[0]) { <br />$('#dialog').parent().empty(); <br />$('#dialog').parent().remove(); <br />}</p>
<p>当前加上这段后代码后，再做$("#dialog")来测试下，期望的结果终于出现了！dialog元素消失了！</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-05 16:14:52</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/jquery/" title="jquery">jquery</a>, <a href="https://www.iamivan.net/tag/%e5%86%85%e5%ad%98%e6%b3%84%e9%9c%b2/" title="内存泄露">内存泄露</a>, <a href="https://www.iamivan.net/tag/dialog/" title="dialog">dialog</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>JQuery Dialog的内存泄露问题解决方法_jquery的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlR76Vz.html" rel="bookmark">PHP CURL 内存泄露问题解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇文章主要介绍了PHP CURL 内存泄露问题解决方法,CRUL长时间访问HTTPS网站时有内存泄露问题,本文经过反复调试找到了解决方法,需要的朋友可以参考下 phpcurl使用privoxy代理访问https://www.google.com/search?q=xxx curl配置平淡无奇,长时间运行发现一个严重问题,内存泄露!不论用单线程和多线程都无法避免!是curl访问https站点的时候有bug! 内存泄露可以通过linux的top命令发现,使用php函数memory_get_usag			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5QmBBp.html" rel="bookmark">IE下使用jQuery重置iframe地址时内存泄露问题解决办法&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				页面中有个iframe: 复制代码 代码如下:  &lt;iframe src='a.html'&gt;&lt;/iframe&gt; &lt;button&gt;测试IFRAME泄露&lt;/button&gt; 其中a.html内容如下: 复制代码 代码如下: &lt;!DOCTYPE html&gt; &lt;html&gt; &lt;head&gt; &lt;meta charset=&quot;UTF-8&quot;&gt; &lt;title&gt;Insert title here&lt;/			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z7QAB5M.html" rel="bookmark">PHP CURL 内存泄露问题解决方法&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				phpcurl使用privoxy代理访问https://www.google.com/search?q=xxx curl配置平淡无奇,长时间运行发现一个严重问题,内存泄露!不论用单线程和多线程都无法避免!是curl访问https站点的时候有bug! 内存泄露可以通过linux的top命令发现,使用php函数memory_get_usage()不会发现. 经过反复调试找到解决办法,curl配置添加如下几项解决问题: 复制代码 代码如下: [CURLOPT_HTTPPROXYTUNNEL] = tr			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDkmxLp.html" rel="bookmark">jquery动态添加元素事件失效问题解决方法&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				今天在写JQUERY时遇到个问题:当使用脚本动态添加元素xxx时,但事件$(&quot;.x .y&quot;).click(function)...失效问题. 刚开始网上找到了用live函数,方法如下: 事件绑定:$(&quot;.x .y&quot;).click(function) 需改为: 复制代码 代码如下: $(&quot;.x .y&quot;).live('click',function); 但是由于1.8版本后live这种方法不再支持,所以需要用下述jquery中on方法解决脚本动态添加			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLOEo0M.html" rel="bookmark">Android加载图片内存溢出问题解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了Android加载图片内存溢出问题解决方法,本文讲解使用BitmapFactory.Options解决内存溢出问题,需要的朋友可以参考下 1. 在Android软件开发过程中,图片处理是经常遇到的. 在将图片转换成Bitmap的时候,由于图片的大小不一样,当遇到很大的图片的时候会出现超出内存的问题,为了解决这个问题Android API提供了BitmapFactory.Options这个类. 2. 由于Android对图片使用内存有限制,若是加载几兆的大图片便内存溢出.Bi			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pdleEdp.html" rel="bookmark">jQuery内存泄露解决办法&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文大家分享了jQuery内存泄露解决办法,供大家参考,具体内容如下 思路:为JQuery扩展删除jquery元素对象的方法,大大减轻内存泄露的压力 ;(function($){ if(!$.lui.widget) $.lui.widget = {}; //$.lui.newGuid()生成随机32位id //如果采用此方式多次生成jquery对象的话,html代码字符串会在内存中多次重复,占用额外的内容,也会有泄露.而$(&quot;&lt;span&gt;&lt;/span&gt;&quot;).at			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0QxGDp.html" rel="bookmark">jQuery实现dialog设置focus焦点的方法&lowbar;jquery</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了jQuery实现dialog设置focus焦点的方法.分享给大家供大家参考.具体分析如下: 当弹出对话框,默认我们应该将焦点定位到输入的文本框,但是在dialog.show()之前写上$(&quot;#txtGroupName&quot;).focus();无法生效. 查看jQuery的官方文档后,发现dialog提供了一个focus的参数,ok,试试先~~ //显示新建项目群组对话框 function showCreateProjectGroupDialog(i) { $(&quot;#l			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z446Orz.html" rel="bookmark">Android编程中避免内存泄露的方法总结&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android的应用被限制为最多占用16m的内存,至少在T-Mobile G1上是这样的(当然现在已经有几百兆的内存可以用了--译者注).它包括电话本身占用的和开发者可以使用的两部分.即使你没有占用全部内存的打算,你也应该尽量少的使用内存,以免别的应用在运行的时候关闭你的应用.Android能在内存中保持的应用越多,用户在切换应用的时候就越快.作为我的一项工作,我仔细研究了Android应用的内存泄露问题,大多数情况下它们是由同一个错误引起的,那就是对一个上下文(Context)保持了长时间的引			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlmO8Np.html" rel="bookmark">Android中Handler引起的内存泄露问题解决办法&lowbar;java</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Android常用编程中,Handler在进行异步操作并处理返回结果时经常被使用.通常我们的代码会这样实现. 复制代码 代码如下: public class SampleActivity extends Activity {   private final Handler mLeakyHandler = new Handler() {     @Override     public void handleMessage(Message msg) {       // ...     }  			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2MWKRrM.html" rel="bookmark" class="title">AJAX实践DWR篇</a>
					<div>
						ajax DWR(Direct Web Remoting)是一个WEB远程调用框架.利用这个框架可以让AJAX开发变得很简单.利用DWR可以在客户端利用JavaScript直接调用服务端的Java方法 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz4XKjz.html" rel="bookmark" class="title">SEO是否在未来优化方向会改变</a>
					<div>
						seo在未来的发展是否会变更方向,新媒体的出现让除了搜索引擎之外的宣传渠道产生了巨大的作用.从微博.微信的出现后新一轮的优化方式似乎正在改变. 忧虑一:seo是否该扩展 目前对于站长们来说,网站优化好 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9mVvM.html" rel="bookmark" class="title">网站重构 CSS样式表的优化与技巧</a>
					<div>
						css|技巧|网站重构|样式表|优化 一.使用css缩写 使用缩写可以帮助减少你CSS文件的大小,更加容易阅读.css缩写的主要规则请参看&lt;常用css缩写语法总结&gt;,这里就不展开描述. 二 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qzDqllb.html" rel="bookmark" class="title">ASP经典分页类</a>
					<div>
						分页 '====================================================================='XDOWNPAGE ASP版本'版本 1.00'Co ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MY11rM.html" rel="bookmark" class="title">如何进行长尾关键词设置 辅助网站流量与人气提升</a>
					<div>
						长尾关键词的设置一直是站长的头疼事情,很多站长对于主关键词的设置还具有把握性,但是对于长尾词的设置却缺乏了一种思维,其实长尾关键词的设置只要遵循用户思维.网站相关性.页面匹配性,那么就能够将长尾关键词 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/VMrka1p.html" rel="bookmark" class="title">网站视觉设计的一些要点</a>
					<div>
						自己从工艺品设计到平面设计到网络设计,虽然设计原则不离其宗,但经验下来的心得告诉自己,设计媒介的变化带来很多媒介自身的特殊性,下面总结下网站视觉设计的一些要点,有他人经验,也有自己的心得:1-logo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3vDWz.html" rel="bookmark" class="title">C&num;使用技巧--调用DLL</a>
					<div>
						技巧 使用C#时不免用调用别的DLL,如WIN32的API和自己以前做的DLL, C#调用DLL很像VB,下面讨论的C#调用DLL的方式. 看看下面的例子,演示了怎么定义DLL函数接口 public  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMqZB2p.html" rel="bookmark" class="title">杨雪松谈微博营销之微博黑帽SEO</a>
					<div>
						  随着微博的迅速发展,在微博的强势带动下微博营销已经成为市场营销及网络营销人员都必需要学习的一项新知识,本人也是刚接触微博营销,在不断探索过程当中总结出了一些小技巧,当然我即将要说的这种微博营销方式 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9zeQXNz.html" rel="bookmark" class="title">启用Windows Vista的BitLocker加密</a>
					<div>
						BitLocker加密技术要由硬件和软件结合使用.某些计算机拥有TPM(可信任平台模块)芯片,这种芯片能存储安全密钥来保证硬盘数据的安全.某些计算机没有TPM芯片,但可以在硬盘上存储密钥.BitLoc ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOwJwkz.html" rel="bookmark" class="title">AIX如何确认磁盘是本地还是存储上的</a>
					<div>
						$ lspv hdisk1          00c164fe384b126e                    rootvg          active hdisk2          00 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj71R0M.html" rel="bookmark" class="title">使用Visual Studio 2010在WPF中构建数据驱动的大纲&sol;细节业务表</a>
					<div>
						概述 在本实验中,您将了解如何使用 Visual Studio 2010 工具在 WPF 4.0 中创建和自定义大纲/细节业务表. 目标 完成此实验后,您将学会: 如何在 WPF 项目中使用&quot ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrK10jp.html" rel="bookmark" class="title">ASP&period;NET 2&period;0数据教程之四十五&colon;DataList和Repeater数据排序（二）</a>
					<div>
						返回&quot;ASP.NET 2.0数据教程目录&quot; 第五步: 为使用默认分页的DataList添加排序的支持 在前面一章里我 们学习了如何使用DataList的默认分页.现在我们来扩展它, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RmyKp.html" rel="bookmark" class="title">使用icon fonts来辅助CSS处理图片</a>
					<div>
						  由于移动端设备拥有不同分辨率,PPI 等引起的问题, 常常需要针对不同屏幕分辨率来调整优化,如使用 @2x 图片, max-width 限制等. 采用 css @font-face 用来显示 ic ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLOrJWM.html" rel="bookmark" class="title">windows下mysql忘记root密码的解决办法</a>
					<div>
						  今天早上 一朋友说自己的mysql 忘记root密码了 让我帮忙给看看,因为没有接触过mysql 所以从网上找了一下信息 经我亲身实践 已经成功!mysql版本是5.1 以下是从网上找的信息: 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk29lOM.html" rel="bookmark" class="title">Win8怎么解决无法启动安全中心服务的问题？</a>
					<div>
						  该报错常见的原因是由于计算机中安装的安全类防护软件导致,由于某些安全软件带有系统清理以及优化功能,因此会提示关闭不需要的服务等,用户常常在优化.清理之后发现安全中心服务无法启动. 操作步骤: 方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zOanBQM.html" rel="bookmark" class="title">word排版好的文件怎么直接转换成印刷稿文件？</a>
					<div>
						  1.下载个word转pdf插件 下载个word转pdf插件(SaveAsPDFandXPS) [微软]然后安装就可以了 2.打开word或excel文件 反客的文件打开,做好转进一步的调整 3.开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z72JARp.html" rel="bookmark" class="title">win7系统开机出现160wifinetpro&period;sys蓝屏如何解决</a>
					<div>
						  win7旗舰版系统发生蓝屏属于常见故障问题之一了,相信很多用户都有遇到过,遇到蓝屏首先根据提示的代码来解决问题.这不有位用户说win7旗舰版系统开机出现160wifinetpro.sys蓝屏,引起 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3g4ZM.html" rel="bookmark" class="title">win7电脑安装显卡后出现蓝屏怎么办</a>
					<div>
						  1.首先,咱们重启一下自己的win7旗舰版电脑,之后,咱们在电脑出现开机画面的时候,咱们按下win7旗舰版键盘上的F8键,在打开的系统高级菜单中,咱们选择安全模式并单击回车进入.   2.进入到w ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7AVBb.html" rel="bookmark" class="title">SQL FOR XML子句的各种用法</a>
					<div>
						FOR XML子句有四种最基本的模式  1.AUTO模式:返回数据表为起表名的元素,每一列的值返回为属性: 2.RAW模式:返回数据行为元素,每一列的值作为元素的属性:  3.PATH模式:通过简单的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7JA7M.html" rel="bookmark" class="title">了解人工智能之分类和预测 - 数据科学中的预测，分类和回归分析</a>
					<div>
						在上一篇中,我概括地解释了一些主要的人工智能概念,包括机器学习,神经网络和深度学习.也概述了当前人工智能背后的基本原理,提及了从大量样本中学习的机器学习系统,解释了深度学习系统能够更丰富地展现这些样例 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2P9g3p.html" rel="bookmark" class="title">智慧城市建设掀起热潮 潜在市场规模高达20万亿</a>
					<div>
						据悉,全国所有副省级以上城市.九成地级及以上城市.近一半县级及以上城市在推进智慧城市建设.随着智慧城市建设规划落地,预计未来5年,市场规模复合增长率将超过30%,到2021年有望达到20万亿,前景一片 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKQJ27p.html" rel="bookmark" class="title">程序员晋升为何这么难？</a>
					<div>
						我原来在微博上hellodba发过这么一条:&quot;现在内部晋升越来越困难,但是外部来的大P却越来越多,所以就有很多人都选择跳槽&quot;,看到之后我就从三个方面对这个问题简要的进行了回答:&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQ87np.html" rel="bookmark" class="title">textview-Android下，ListView下面的TextView包含超链接点击报错，求高人解决下，谢谢</a>
					<div>
						问题描述 Android下,ListView下面的TextView包含超链接点击报错,求高人解决下,谢谢 Listview 下面的TextView包含了超链接,点击之后报错, 源码是: TextVie ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKY1Y5p.html" rel="bookmark" class="title">二维码产值数千亿 警惕沦为下个&OpenCurlyDoubleQuote;DVD&rdquo;产业</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 &quot;扫一扫&quot;就能 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrX8Yjz.html" rel="bookmark" class="title">服务器重启时又具有哪些危害了</a>
					<div>
						服务器托管客户,一般都会比较关心服务器使用安全问题,让用户在使用过程中可以稳定安全的使用,也是计算机的时代这个方面也是比较的受大家的关注,就算是高防服务器,也是有可能受到攻击的,那么服务器重启时又具有 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAA35vM.html" rel="bookmark" class="title">人工智能PK金牌速记员之实战录</a>
					<div>
						引言 在2016年3月23日阿里云年会上,2000余名同学们见证了一场人机大战的好戏--阿里云iDST团队的实时语音识别系统在现场演讲分享环节实时挑战世界速记比赛亚军, 马总御用金牌速录师姜毅先生.这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNDyGM.html" rel="bookmark" class="title">谁能帮忙解释几个关于单点登录的问题？，万分感谢&hellip;&hellip;求救&hellip;&hellip;</a>
					<div>
						问题描述 谁能帮忙解释几个关于单点登录的问题?,万分感谢--求救-- 1.在A站登录,然后通过输入网址的方式跳转到B站,能实现免登陆吗?2.如果能令牌怎么传递?3.难道单点登录说的只是通过A站超链接的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JaPwz.html" rel="bookmark" class="title">Linux high memory 学习总结</a>
					<div>
						在free命令中有个参数l,它表示 show detailed low and high memory statistics.其实最先是对High Memory总是为零有些不解(Linux是64为). ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYnG9b.html" rel="bookmark" class="title">基于BootStrap Metronic开发框架经验小结【八】框架功能总体界面介绍&lowbar;javascript技巧</a>
					<div>
						本文主要介绍这个Bootstrap框架的总体性功能界面,介绍其中用到的知识点和整体性的界面.希望读者对框架有一个更加直观.真实的认识了解,界面设计以及相关思路可以借鉴提高,也可以对相关的内容进行相互探 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boL3ogM.html" rel="bookmark" class="title">Android开发应用第一步 安装及配置模拟器Genymotion&lowbar;Android</a>
					<div>
						一.安装及配置Genymotion (1)由于Eclipse中自带的SDK模拟器,启动之慢,不说了 现在给大家介绍一种比较快的模拟器Genymotion (2)首先去Genymotion的官网注册一个 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
